Skip to main content
GET
Gets one proposal, with the products and bundles it quotes.

Authorizations

X-API-Key
string
header
required

Your Gorelo API key. See Generate API key. If your data is hosted in Australia, click the base URL at the top of this page and select https://api.aue.gorelo.io.

Path Parameters

proposalId
string<uuid>
required

Proposal identifier.

Response

OK

StatusCode
enum<integer>
Available options:
100,
101,
102,
103,
200,
201,
202,
203,
204,
205,
206,
207,
208,
226,
300,
301,
302,
303,
304,
305,
306,
307,
308,
400,
401,
402,
403,
404,
405,
406,
407,
408,
409,
410,
411,
412,
413,
414,
415,
416,
417,
421,
422,
423,
424,
426,
428,
429,
431,
451,
500,
501,
502,
503,
504,
505,
506,
507,
508,
510,
511
IsSuccess
boolean
Data
object

One proposal with its line items - the products and bundles on the proposal's product blocks - in the shape GET /v1/proposals/{proposalId} returns.

DataContext
object | null
Example:

null

Notifications
object[]